| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface Class Reference

`#include <TelepathyQt/CallContentMediaDescriptionInterface>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Member Functions

- CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface (Tp::DBusProxy *proxy)
- CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface (const Tp::Client::CallContentMediaDescriptionInterface &mainInterface)
- CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface (const Tp::Client::CallContentMediaDescriptionInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyLossRLEMaxSize () const
- Tp::PendingVariant * requestPropertyDuplicateRLEMaxSize () const
- Tp::PendingVariant * requestPropertyPacketReceiptTimesMaxSize () const
- Tp::PendingVariant * requestPropertyDLRRMaxSize () const
- Tp::PendingVariant * requestPropertyRTTMode () const
- Tp::PendingVariant * requestPropertyStatisticsFlags () const
- Tp::PendingVariant * requestPropertyEnableMetrics () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content.MediaDescription.Interface.RTCPExtendedReports".

## Constructor & Destructor Documentation

Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface | ( | const Tp::Client::CallContentMediaDescriptionInterface & | mainInterface | ) | `[explicit]`

Creates a CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface | ( | const Tp::Client::CallContentMediaDescriptionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Call1.Content.MediaDescription.Interface.RTCPExtendedReports", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestPropertyLossRLEMaxSize | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `LossRLEMaxSize` of type `uint`.

If non-zero, enable Loss Run Length Encoded Report Blocks. The value of this integer represents the max-size of report blocks, as specified in RFC 3611 section 5.1. MAXUINT32 is used to indicate that there is no limit.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestPropertyDuplicateRLEMaxSize | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `DuplicateRLEMaxSize` of type `uint`.

If non-zero, enable Duplicate Run-Length-Encoded Report Blocks. The value of this integer represents the max-size of report blocks, as specified in RFC 3611 section 5.1. MAXUINT32 is used to indicate that there is no limit.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestPropertyPacketReceiptTimesMaxSize | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `PacketReceiptTimesMaxSize` of type `uint`.

If non-zero, enable Packet Receipt Times Report Blocks. The value of this integer represents the max-size of report blocks, as specified in RFC 3611 section 5.1. MAXUINT32 is used to indicate that there is no limit.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestPropertyDLRRMaxSize | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `DLRRMaxSize` of type `uint`.

If non-zero, enable Receiver Reference Time and Delay since Last Receiver Report Blocks (for estimating Round Trip Times between non-senders and other parties in the call. The value of this integer represents the max-size of report blocks, as specified in RFC 3611 section 5.1. MAXUINT32 is used to indicate that there is no limit.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestPropertyRTTMode | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `RTTMode` of type `uint`.

Who is allowed to send Delay since Last Receiver Reports.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestPropertyStatisticsFlags | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `StatisticsFlags` of type `uint`.

Which fields SHOULD be included in the statistics summary report blocks that are sent, and whether to send VoIP Metrics Report Blocks. There can be zero or more flags set.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestPropertyEnableMetrics | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `EnableMetrics` of type `bool`.

Whether to enable VoIP Metrics Report Blocks. These blocks are of a fixed size.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.